#define BUILDING_LIBRARY
#include <avr/io.h>
#include <libdefs.h>
// ----------- Define the used ports ------------
static IOPort PROGMEM _PORTB={_SFR_MEM_ADDR(PORTB),_SFR_MEM_ADDR(DDRB),_SFR_MEM_ADDR(PINB)};
static IOPort PROGMEM _PORTD={_SFR_MEM_ADDR(PORTD),_SFR_MEM_ADDR(DDRD),_SFR_MEM_ADDR(PIND)};

// ----------- Define the used pins ------------
IOPin PROGMEM _B0 = { &_PORTB, BV(0)};
IOPin PROGMEM _B1 = { &_PORTB, BV(1)};
IOPin PROGMEM _B2 = { &_PORTB, BV(2)};
IOPin PROGMEM _B3 = { &_PORTB, BV(3)};
IOPin PROGMEM _D4 = { &_PORTD, BV(4)};
IOPin PROGMEM _D5 = { &_PORTD, BV(5)};
IOPin PROGMEM _D6 = { &_PORTD, BV(6)};
IOPin PROGMEM _D7 = { &_PORTD, BV(7)};
