#define BUILDING_LIBRARY
#include <avr/io.h>
#include <libdefs.h>
#include <timer.h>
extern const PROGMEM Timer PROGMEM pgm_Timers[];
void __initTimers(void){
 
// Set Timer1 to the following:-
//		Mode 	 = TIMER_MODE_PWM_FAST_ICR
//		Prescale = 1
	// Save the timer mode
	timerGetData(&pgm_Timers[1])->mode = TIMER_MODE_PWM_FAST_ICR;
	// Set the timer mode
	
	// Mode TIMER_MODE_PWM_FAST_ICR is 14
	// Assume current mode settings are all 0	
		
			
	if(14 & 1){
		sbi(TCCR1A,WGM10);
	} 
		
			
	if(14 & 2){
		sbi(TCCR1A,WGM11);
	} 
		
			
	if(14 & 4){
		sbi(TCCR1B,WGM12);
	} 
		
			
	if(14 & 8){
		sbi(TCCR1B,WGM13);
	} 
		
	// Top is stored in ICR register
	ICR1 = 128;			
			
	// Turn on the timer by setting prescaler
	timerGetData(&pgm_Timers[1])->prescale_value = 1;
	TCCR1B |= 1;
	 
// Set Timer2 to the following:-
//		Mode 	 = TIMER_MODE_CTC_OCR
//		Prescale = 64
	// Save the timer mode
	timerGetData(&pgm_Timers[2])->mode = TIMER_MODE_CTC_OCR;
	// Set the timer mode
	
	// Mode TIMER_MODE_CTC_OCR is 2
	// Assume current mode settings are all 0	
		
			
	if(2 & 1){
		sbi(TCCR2,WGM20);
	} 
		
			
	if(2 & 2){
		sbi(TCCR2,WGM21);
	} 
		
	// Top is stored in Compare A OCR
				OCR2 = 250;			
				
	// Turn on the timer by setting prescaler
	timerGetData(&pgm_Timers[2])->prescale_value = 64;
	TCCR2 |= 4;
	}
